프로젝트 인테그레이션 API
GitLab v19.1Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated
- Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated 이 API를 사용하여 프로젝트의 인테그레이션을 관리합니다. vulnerability_events field introduced in GitLab 16.4.
-
Tier: Free, Premium, Ultimate
- Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated
이 API를 사용하여 프로젝트의 인테그레이션을 관리합니다.
사전 요구 사항:
- 프로젝트에서 Maintainer 또는 Owner 역할이 있어야 합니다.
활성 인테그레이션 전체 목록 조회#
History
-
vulnerability_eventsfield introduced in GitLab 16.4. -
inheritedfield introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
inheritedfield generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
모든 활성 프로젝트 인테그레이션 목록을 가져옵니다. vulnerability_events 필드는 GitLab Enterprise Edition에서만 사용할 수 있습니다.
GET /projects/:id/integrations
응답 예시:
[
{
"id": 75,
"title": "Jenkins CI",
"slug": "jenkins",
"created_at": "2019-11-20T11:20:25.297Z",
"updated_at": "2019-11-20T12:24:37.498Z",
"active": true,
"commit_events": true,
"push_events": true,
"issues_events": true,
"alert_events": true,
"confidential_issues_events": true,
"merge_requests_events": true,
"tag_push_events": false,
"deployment_events": false,
"note_events": true,
"confidential_note_events": true,
"pipeline_events": true,
"wiki_page_events": true,
"job_events": true,
"comment_on_event_enabled": true,
"inherited": false,
"vulnerability_events": true
},
{
"id": 76,
"title": "Alerts endpoint",
"slug": "alerts",
"created_at": "2019-11-20T11:20:25.297Z",
"updated_at": "2019-11-20T12:24:37.498Z",
"active": true,
"commit_events": true,
"push_events": true,
"issues_events": true,
"alert_events": true,
"confidential_issues_events": true,
"merge_requests_events": true,
"tag_push_events": true,
"deployment_events": false,
"note_events": true,
"confidential_note_events": true,
"pipeline_events": true,
"wiki_page_events": true,
"job_events": true,
"comment_on_event_enabled": true,
"inherited": false,
"vulnerability_events": true
}
]
Apple App Store Connect#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Apple App Store Connect 설정#
프로젝트에 Apple App Store Connect 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/apple_app_store
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| app_store_issuer_id | string | yes | Apple App Store Connect issuer ID. |
| app_store_key_id | string | yes | Apple App Store Connect key ID. |
| app_store_private_key_file_name | string | yes | Apple App Store Connect private key filename. |
| app_store_private_key | string | yes | Apple App Store Connect private key. |
| app_store_protected_refs | boolean | no | Set variables on protected branches and tags only. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Apple App Store Connect 비활성화#
프로젝트에서 Apple App Store Connect 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/apple_app_store
Apple App Store Connect 설정 조회#
프로젝트의 Apple App Store Connect 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/apple_app_store
Asana#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Asana 설정#
프로젝트에 Asana 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/asana
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| api_key | string | yes | User API token. The user must have access to the task. All comments are attributed to this user. |
| restrict_to_branch | string | no | Comma-separated list of branches to be automatically inspected. Leave blank to include all branches. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Asana 비활성화#
프로젝트에서 Asana 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/asana
Asana 설정 조회#
프로젝트의 Asana 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/asana
Assembla#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Assembla 설정#
프로젝트에 Assembla 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/assembla
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| token | string | yes | The authentication token. |
| subdomain | string | no | The subdomain setting. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Assembla 비활성화#
프로젝트에서 Assembla 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/assembla
Assembla 설정 조회#
프로젝트의 Assembla 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/assembla
Atlassian Bamboo#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Atlassian Bamboo 설정#
프로젝트에 Atlassian Bamboo 인테그레이션을 설정합니다.
Bamboo에서 자동 리비전 레이블링과 리포지터리 트리거를 구성해야 합니다.
PUT /projects/:id/integrations/bamboo
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| bamboo_url | string | yes | Bamboo root URL (for example, https://bamboo.example.com). |
| enable_ssl_verification | boolean | no | Enable SSL verification. Defaults to true (enabled). |
| build_key | string | yes | Bamboo build plan key (for example, KEY). |
| username | string | yes | User with API access to the Bamboo server. |
| password | string | yes | Password of the user. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Atlassian Bamboo 비활성화#
프로젝트에서 Atlassian Bamboo 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/bamboo
Atlassian Bamboo 설정 조회#
프로젝트의 Atlassian Bamboo 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/bamboo
Bugzilla#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Bugzilla 설정#
프로젝트에 Bugzilla 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/bugzilla
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| new_issue_url | string | yes | URL of the new issue. |
| issues_url | string | yes | URL of the issue. |
| project_url | string | yes | URL of the project. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Bugzilla 비활성화#
프로젝트에서 Bugzilla 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/bugzilla
Bugzilla 설정 조회#
프로젝트의 Bugzilla 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/bugzilla
Buildkite#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Buildkite 설정#
프로젝트에 Buildkite 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/buildkite
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| token | string | yes | Token you get after you create a Buildkite pipeline with a GitLab repository. |
| project_url | string | yes | Pipeline URL (for example, https://buildkite.com/example/pipeline). |
| enable_ssl_verification | boolean | no | Deprecated: This parameter has no effect because SSL verification is always enabled. |
| push_events | boolean | no | Enable notifications for push events. |
| merge_requests_events | boolean | no | Enable notifications for merge request events. |
| tag_push_events | boolean | no | Enable notifications for tag push events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Buildkite 비활성화#
프로젝트에서 Buildkite 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/buildkite
Buildkite 설정 조회#
프로젝트의 Buildkite 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/buildkite
Campfire Classic#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Campfire Classic와 인테그레이션할 수 있습니다. 단, Campfire Classic은 Basecamp에서 더 이상 판매하지 않는 구형 제품입니다.
Campfire Classic 설정#
프로젝트에 Campfire Classic 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/campfire
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| token | string | yes | API authentication token from Campfire Classic. To get the token, sign in to Campfire Classic and select My info. |
| subdomain | string | no | .campfirenow.com subdomain when you’re signed in. |
| room | string | no | ID portion of the Campfire Classic room URL. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Campfire Classic 비활성화#
프로젝트에서 Campfire Classic 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/campfire
Campfire Classic 설정 조회#
프로젝트의 Campfire Classic 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/campfire
ClickUp#
History
-
Introduced in GitLab 16.1.
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
ClickUp 설정#
프로젝트에 ClickUp 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/clickup
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| issues_url | string | yes | URL of the issue. |
| project_url | string | yes | URL of the project. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
ClickUp 비활성화#
프로젝트에서 ClickUp 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/clickup
ClickUp 설정 조회#
프로젝트의 ClickUp 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/clickup
Confluence Workspace#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Confluence Cloud Workspace를 프로젝트 위키로 사용합니다.
Confluence Workspace 설정#
프로젝트에 Confluence Workspace 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/confluence
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| confluence_url | string | yes | URL of the Confluence Workspace hosted on atlassian.net. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Confluence Workspace 비활성화#
프로젝트에서 Confluence Workspace 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/confluence
Confluence Workspace 설정 조회#
프로젝트의 Confluence Workspace 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/confluence
Custom issue tracker#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
커스텀 이슈 트래커 설정#
프로젝트에 커스텀 이슈 트래커를 설정합니다.
PUT /projects/:id/integrations/custom-issue-tracker
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| new_issue_url | string | yes | URL of the new issue. |
| issues_url | string | yes | URL of the issue. |
| project_url | string | yes | URL of the project. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
커스텀 이슈 트래커 비활성화#
프로젝트에서 커스텀 이슈 트래커를 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/custom-issue-tracker
커스텀 이슈 트래커 설정 조회#
프로젝트의 커스텀 이슈 트래커 설정을 가져옵니다.
GET /projects/:id/integrations/custom-issue-tracker
Datadog#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Datadog 설정#
프로젝트에 Datadog 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/datadog
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| api_key | string | yes | API key used for authentication with Datadog. |
| datadog_ci_visibility | boolean | yes | Enables collection of pipeline and job events in Datadog to display pipeline execution traces. |
| api_url | string | no | Full URL of your Datadog site. |
| datadog_env | string | no | For self-managed deployments, env% tag for all the data sent to Datadog. |
| datadog_service | string | no | GitLab instance to tag all data from in Datadog. Can be used when managing several self-managed deployments. |
| datadog_site | string | no | Datadog site to send data to. To send data to the EU site, use datadoghq.eu. |
| datadog_tags | string | no | Custom tags in Datadog. Specify one tag per line in the format key:value\nkey2:value2. |
| archive_trace_events | boolean | no | When enabled, job logs are collected by Datadog and displayed along with pipeline execution traces (introduced in GitLab 15.3). |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Datadog 비활성화#
프로젝트에서 Datadog 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/datadog
Datadog 설정 조회#
프로젝트의 Datadog 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/datadog
Diffblue Cover#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Diffblue Cover 설정#
프로젝트에 Diffblue Cover 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/diffblue-cover
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| diffblue_license_key | string | yes | Diffblue Cover license key. |
| diffblue_access_token_name | string | yes | Access token name used by Diffblue Cover in pipelines. |
| diffblue_access_token_secret | string | yes | Access token secret used by Diffblue Cover in pipelines. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Diffblue Cover 비활성화#
프로젝트에서 Diffblue Cover 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/diffblue-cover
Diffblue Cover 설정 조회#
프로젝트의 Diffblue Cover 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/diffblue-cover
Discord Notifications#
History
-
_channelparameters introduced in GitLab 16.3. -
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Discord 알림 설정#
프로젝트에 Discord 알림을 설정합니다.
PUT /projects/:id/integrations/discord
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| webhook | string | yes | Discord webhook (for example, https://discord.com/api/webhooks/...). |
| branches_to_be_notified | string | no | Branches to send notifications for. Valid options are all, default, protected, and default_and_protected. The default value is default. |
| confidential_issues_events | boolean | no | Enable notifications for confidential issue events. |
| confidential_issue_channel | string | no | The webhook override to receive notifications for confidential issue events. |
| confidential_note_events | boolean | no | Enable notifications for confidential note events. |
| confidential_note_channel | string | no | The webhook override to receive notifications for confidential note events. |
| deployment_events | boolean | no | Enable notifications for deployment events. |
| deployment_channel | string | no | The webhook override to receive notifications for deployment events. |
| group_confidential_mentions_events | boolean | no | Enable notifications for group confidential mention events. |
| group_confidential_mentions_channel | string | no | The webhook override to receive notifications for group confidential mention events. |
| group_mentions_events | boolean | no | Enable notifications for group mention events. |
| group_mentions_channel | string | no | The webhook override to receive notifications for group mention events. |
| issues_events | boolean | no | Enable notifications for issue events. |
| issue_channel | string | no | The webhook override to receive notifications for issue events. |
| merge_requests_events | boolean | no | Enable notifications for merge request events. |
| merge_request_channel | string | no | The webhook override to receive notifications for merge request events. |
| note_events | boolean | no | Enable notifications for note events. |
| note_channel | string | no | The webhook override to receive notifications for note events. |
| notify_only_broken_pipelines | boolean | no | Send notifications for broken pipelines. |
| notify_only_when_pipeline_status_changes | boolean | no | Send notifications only when the pipeline status for the ref changes. |
| pipeline_events | boolean | no | Enable notifications for pipeline events. |
| pipeline_channel | string | no | The webhook override to receive notifications for pipeline events. |
| push_events | boolean | no | Enable notifications for push events. |
| push_channel | string | no | The webhook override to receive notifications for push events. |
| tag_push_events | boolean | no | Enable notifications for tag push events. |
| tag_push_channel | string | no | The webhook override to receive notifications for tag push events. |
| wiki_page_events | boolean | no | Enable notifications for wiki page events. |
| wiki_page_channel | string | no | The webhook override to receive notifications for wiki page events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Discord 알림 비활성화#
프로젝트에서 Discord 알림을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/discord
Discord 알림 설정 조회#
프로젝트의 Discord 알림 설정을 가져옵니다.
GET /projects/:id/integrations/discord
Drone#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Drone 설정#
프로젝트에 Drone 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/drone-ci
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| token | string | yes | Drone CI token. |
| drone_url | string | yes | Drone CI URL (for example, http://drone.example.com). |
| enable_ssl_verification | boolean | no | Enable SSL verification. Defaults to true (enabled). |
| push_events | boolean | no | Enable notifications for push events. |
| merge_requests_events | boolean | no | Enable notifications for merge request events. |
| tag_push_events | boolean | no | Enable notifications for tag push events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Drone 비활성화#
프로젝트에서 Drone 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/drone-ci
Drone 설정 조회#
프로젝트의 Drone 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/drone-ci
Emails on push#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
푸시 시 이메일 설정#
프로젝트에 푸시 시 이메일 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/emails-on-push
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| recipients | string | yes | Emails separated by whitespace. |
| disable_diffs | boolean | no | Disable code diffs. |
| send_from_committer_email | boolean | no | Send from committer. |
| push_events | boolean | no | Enable notifications for push events. |
| tag_push_events | boolean | no | Enable notifications for tag push events. |
| branches_to_be_notified | string | no | Branches to send notifications for. Valid options are all, default, protected, and default_and_protected. Notifications are always fired for tag pushes. The default value is all. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
푸시 시 이메일 비활성화#
프로젝트에서 푸시 시 이메일 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/emails-on-push
푸시 시 이메일 설정 조회#
프로젝트의 푸시 시 이메일 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/emails-on-push
Engineering Workflow Management (EWM)#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
EWM 설정#
프로젝트에 EWM 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/ewm
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| new_issue_url | string | yes | URL of the new issue. |
| project_url | string | yes | URL of the project. |
| issues_url | string | yes | URL of the issue. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
EWM 비활성화#
프로젝트에서 EWM 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/ewm
EWM 설정 조회#
프로젝트의 EWM 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/ewm
External wiki#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
외부 위키 설정#
프로젝트에 외부 위키를 설정합니다.
PUT /projects/:id/integrations/external-wiki
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| external_wiki_url | string | yes | URL of the external wiki. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
외부 위키 비활성화#
프로젝트에서 외부 위키를 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/external-wiki
외부 위키 설정 조회#
프로젝트의 외부 위키 설정을 가져옵니다.
GET /projects/:id/integrations/external-wiki
GitGuardian#
History
-
Introduced in GitLab 16.9 with a flag named
git_guardian_integration. Enabled by default. Disabled on GitLab.com. -
Enabled on GitLab.com in GitLab 17.7.
-
Generally available in GitLab 17.8. Feature flag
git_guardian_integrationremoved. -
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
GitGuardian은 소스 코드 리포지터리에서 API 키, 비밀번호 등 민감한 데이터를 탐지하는 사이버 보안 서비스입니다. Git 리포지터리를 스캔하여 정책 위반 시 경고를 발생시키고, 해커가 악용하기 전에 보안 문제를 수정할 수 있도록 조직을 지원합니다.
GitGuardian 정책에 따라 커밋을 거부하도록 GitLab을 구성할 수 있습니다.
알려진 문제 및 문제 해결 방법은 GitGuardian 문제 해결을 참조하세요.
GitGuardian 설정#
프로젝트에 GitGuardian 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/git-guardian
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| token | string | yes | GitGuardian API token with scan scope. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
GitGuardian 비활성화#
프로젝트에서 GitGuardian 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/git-guardian
GitGuardian 설정 조회#
프로젝트의 GitGuardian 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/git-guardian
GitHub#
Offering: GitLab.com, GitLab Self-Managed, GitLab Dedicated
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
GitHub 설정#
프로젝트에 GitHub 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/github
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| token | string | yes | GitHub API token with repo:status OAuth scope. |
| repository_url | string | yes | GitHub repository URL. |
| static_context | boolean | no | Append the hostname of your GitLab instance to the status check name. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
GitHub 비활성화#
프로젝트에서 GitHub 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/github
GitHub 설정 조회#
프로젝트의 GitHub 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/github
GitLab for Jira Cloud app#
GitLab for Jira Cloud 앱 인테그레이션은 Jira에서 그룹 연결 및 연결 해제를 통해 자동으로 활성화 또는 비활성화됩니다. GitLab 인테그레이션 양식이나 API로는 인테그레이션을 활성화하거나 비활성화할 수 없습니다.
프로젝트 인테그레이션 업데이트#
Jira의 그룹 연결로 생성한 인테그레이션을 업데이트하려면 이 API 엔드포인트를 사용하세요.
PUT /projects/:id/integrations/jira-cloud-app
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| jira_cloud_app_service_ids | string | no | Jira Service Management Service IDs. Use commas (,) to separate multiple IDs. |
| jira_cloud_app_enable_deployment_gating | boolean | no | Enables deployment gating for blocked GitLab deployments from Jira Service Management. |
| jira_cloud_app_deployment_gating_environments | string | no | The environments (production, staging, testing, or development) to enable deployment gating. Required if deployment gating is enabled. Use commas (,) to separate multiple environments. |
GitLab for Jira Cloud 앱 설정 조회#
프로젝트의 GitLab for Jira Cloud 앱 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/jira-cloud-app
GitLab for Slack app#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
GitLab for Slack 앱 설정#
프로젝트의 GitLab for Slack 앱 인테그레이션을 업데이트합니다.
이 인테그레이션은 GitLab API만으로는 얻을 수 없는 OAuth 2.0 토큰이 필요하므로 API를 통해 GitLab for Slack 앱을 생성할 수 없습니다. 대신 GitLab UI에서 앱을 설치해야 합니다. 그런 다음 이 API 엔드포인트를 사용하여 인테그레이션을 업데이트할 수 있습니다.
PUT /projects/:id/integrations/gitlab-slack-application
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| channel | string | no | Default channel to use if no other channel is configured. |
| notify_only_broken_pipelines | boolean | no | Send notifications for broken pipelines. |
| notify_only_when_pipeline_status_changes | boolean | no | Send notifications only when the pipeline status for the ref changes. |
| notify_only_default_branch | boolean | no | Deprecated: This parameter has been replaced with branches_to_be_notified. |
| branches_to_be_notified | string | no | Branches to send notifications for. Valid options are all, default, protected, and default_and_protected. The default value is default. |
| alert_events | boolean | no | Enable notifications for alert events. |
| issues_events | boolean | no | Enable notifications for issue events. |
| confidential_issues_events | boolean | no | Enable notifications for confidential issue events. |
| merge_requests_events | boolean | no | Enable notifications for merge request events. |
| note_events | boolean | no | Enable notifications for note events. |
| confidential_note_events | boolean | no | Enable notifications for confidential note events. |
| deployment_events | boolean | no | Enable notifications for deployment events. |
| incidents_events | boolean | no | Enable notifications for incident events. |
| pipeline_events | boolean | no | Enable notifications for pipeline events. |
| push_events | boolean | no | Enable notifications for push events. |
| tag_push_events | boolean | no | Enable notifications for tag push events. |
| vulnerability_events | boolean | no | Enable notifications for vulnerability events. |
| wiki_page_events | boolean | no | Enable notifications for wiki page events. |
| labels_to_be_notified | string | no | Labels to send notifications for. If not set, receive notifications for all events. |
| labels_to_be_notified_behavior | string | no | Labels to be notified for. Valid options are match_any and match_all. Defaults to match_any. |
| push_channel | string | no | Name of the channel to receive notifications for push events. |
| issue_channel | string | no | Name of the channel to receive notifications for issue events. |
| confidential_issue_channel | string | no | Name of the channel to receive notifications for confidential issue events. |
| merge_request_channel | string | no | Name of the channel to receive notifications for merge request events. |
| note_channel | string | no | Name of the channel to receive notifications for note events. |
| confidential_note_channel | string | no | Name of the channel to receive notifications for confidential note events. |
| tag_push_channel | string | no | Name of the channel to receive notifications for tag push events. |
| pipeline_channel | string | no | Name of the channel to receive notifications for pipeline events. |
| wiki_page_channel | string | no | Name of the channel to receive notifications for wiki page events. |
| deployment_channel | string | no | Name of the channel to receive notifications for deployment events. |
| incident_channel | string | no | Name of the channel to receive notifications for incident events. |
| vulnerability_channel | string | no | Name of the channel to receive notifications for vulnerability events. |
| alert_channel | string | no | Name of the channel to receive notifications for alert events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
GitLab for Slack 앱 비활성화#
프로젝트에서 GitLab for Slack 앱 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/gitlab-slack-application
GitLab for Slack 앱 설정 조회#
프로젝트의 GitLab for Slack 앱 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/gitlab-slack-application
Google Chat#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Google Chat 설정#
프로젝트에 Google Chat 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/hangouts-chat
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| webhook | string | yes | The Hangouts Chat webhook (for example, https://chat.googleapis.com/v1/spaces...). |
| notify_only_broken_pipelines | boolean | no | Send notifications for broken pipelines. |
| notify_only_when_pipeline_status_changes | boolean | no | Send notifications only when the pipeline status for the ref changes. |
| notify_only_default_branch | boolean | no | Deprecated: This parameter has been replaced with branches_to_be_notified. |
| branches_to_be_notified | string | no | Branches to send notifications for. Valid options are all, default, protected, and default_and_protected. The default value is default. |
| push_events | boolean | no | Enable notifications for push events. |
| issues_events | boolean | no | Enable notifications for issue events. |
| confidential_issues_events | boolean | no | Enable notifications for confidential issue events. |
| merge_requests_events | boolean | no | Enable notifications for merge request events. |
| tag_push_events | boolean | no | Enable notifications for tag push events. |
| note_events | boolean | no | Enable notifications for note events. |
| confidential_note_events | boolean | no | Enable notifications for confidential note events. |
| pipeline_events | boolean | no | Enable notifications for pipeline events. |
| wiki_page_events | boolean | no | Enable notifications for wiki page events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Google Chat 비활성화#
프로젝트에서 Google Chat 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/hangouts-chat
Google Chat 설정 조회#
프로젝트의 Google Chat 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/hangouts-chat
Google Artifact Management#
Offering: GitLab.com
-
Status: Beta
History
-
Introduced in GitLab 16.9 as a beta feature with a flag named
google_cloud_support_feature_flag. Disabled by default. -
Enabled on GitLab.com in GitLab 17.1. Feature flag
google_cloud_support_feature_flagremoved. -
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
이 기능은 베타 단계입니다.
Google Artifact Management 설정#
프로젝트에 Google Artifact Management 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/google-cloud-platform-artifact-registry
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| artifact_registry_project_id | string | yes | ID of the Google Cloud project. |
| artifact_registry_location | string | yes | Location of the Artifact Registry repository. |
| artifact_registry_repositories | string | yes | Repository of Artifact Registry. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Google Artifact Management 비활성화#
프로젝트에서 Google Artifact Management 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/google-cloud-platform-artifact-registry
Google Artifact Management 설정 조회#
프로젝트의 Google Artifact Management 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/google-cloud-platform-artifact-registry
Google Cloud Identity and Access Management (IAM)#
Offering: GitLab.com
-
Status: Beta
History
-
Introduced in GitLab 16.10 as a beta feature with a flag named
google_cloud_support_feature_flag. Disabled by default. -
Enabled on GitLab.com in GitLab 17.1. Feature flag
google_cloud_support_feature_flagremoved. -
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
이 기능은 베타 단계입니다.
Google Cloud Identity and Access Management 설정#
프로젝트에 Google Cloud Identity and Access Management 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/google-cloud-platform-workload-identity-federation
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| workload_identity_federation_project_id | string | yes | Google Cloud project ID for the Workload Identity Federation. |
| workload_identity_federation_project_number | integer | yes | Google Cloud project number for the Workload Identity Federation. |
| workload_identity_pool_id | string | yes | ID of the workload identity pool. |
| workload_identity_pool_provider_id | string | yes | ID of the workload identity pool provider. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Google Cloud Identity and Access Management 비활성화#
프로젝트에서 Google Cloud Identity and Access Management 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/google-cloud-platform-workload-identity-federation
Google Cloud Identity and Access Management 조회#
프로젝트의 Google Cloud Identity and Access Management 설정을 가져옵니다.
GET /projects/:id/integration/google-cloud-platform-workload-identity-federation
Google Play#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Google Play 설정#
프로젝트에 Google Play 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/google-play
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| package_name | string | yes | Package name of the app in Google Play. |
| service_account_key | string | yes | Google Play service account key. |
| service_account_key_file_name | string | yes | File name of the Google Play service account key. |
| google_play_protected_refs | boolean | no | Set variables on protected branches and tags only. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Google Play 비활성화#
프로젝트에서 Google Play 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/google-play
Google Play 설정 조회#
프로젝트의 Google Play 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/google-play
Harbor#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Harbor 설정#
프로젝트에 Harbor 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/harbor
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| url | string | yes | The base URL to the Harbor instance linked to the GitLab project. For example, https://demo.goharbor.io. |
| project_name | string | yes | The name of the project in the Harbor instance. For example, testproject. |
| username | string | yes | The username created in the Harbor interface. |
| password | string | yes | The password of the user. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Harbor 비활성화#
프로젝트에서 Harbor 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/harbor
Harbor 설정 조회#
프로젝트의 Harbor 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/harbor
irker (IRC gateway)#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
irker 설정#
프로젝트에 irker 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/irker
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| recipients | string | yes | Comma-separated list of channels or email addresses. |
| default_irc_uri | string | no | URI to add before each recipient. The default value is irc://irc.network.net:6697/. |
| server_host | string | no | irker daemon hostname. The default value is localhost. |
| server_port | integer | no | irker daemon port. The default value is 6659. |
| colorize_messages | boolean | no | Colorize messages. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
irker 비활성화#
프로젝트에서 irker 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/irker
irker 설정 조회#
프로젝트의 irker 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/irker
Jenkins#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Jenkins 설정#
프로젝트에 Jenkins 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/jenkins
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| jenkins_url | string | yes | URL of the Jenkins server. |
| enable_ssl_verification | boolean | no | Enable SSL verification. Defaults to true (enabled). |
| project_name | string | yes | Name of the Jenkins project. |
| username | string | no | Username of the Jenkins server. |
| password | string | no | Password of the Jenkins server. |
| push_events | boolean | no | Enables notifications for push events. |
| merge_requests_events | boolean | no | Enables notifications for merge request events. |
| tag_push_events | boolean | no | Enables notifications for tag push events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Jenkins 비활성화#
프로젝트에서 Jenkins 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/jenkins
Jenkins 설정 조회#
프로젝트의 Jenkins 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/jenkins
JetBrains TeamCity#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
JetBrains TeamCity 설정#
프로젝트에 JetBrains TeamCity 인테그레이션을 설정합니다.
TeamCity의 빌드 구성에서 빌드 번호 형식을 %build.vcs.number%로 설정해야 합니다.
VCS 루트의 고급 설정에서 모든 브랜치를 모니터링하도록 구성해야 머지 리퀘스트를 빌드할 수 있습니다.
PUT /projects/:id/integrations/teamcity
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| teamcity_url | string | yes | TeamCity root URL (for example, https://teamcity.example.com). |
| enable_ssl_verification | boolean | no | Enable SSL verification. Defaults to true (enabled). |
| build_type | string | yes | The build configuration ID of the TeamCity project. |
| username | string | yes | A user with permissions to trigger a manual build. |
| password | string | yes | The password of the user. |
| push_events | boolean | no | Enable notifications for push events. |
| merge_requests_events | boolean | no | Enable notifications for merge request events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
JetBrains TeamCity 비활성화#
프로젝트에서 JetBrains TeamCity 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/teamcity
JetBrains TeamCity 설정 조회#
프로젝트의 JetBrains TeamCity 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/teamcity
Jira issues#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Jira 이슈 설정#
프로젝트에 Jira 이슈 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/jira
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| url | string | yes | The URL to the Jira project which is being linked to this GitLab project (for example, https://jira.example.com). |
| api_url | string | no | The base URL to the Jira instance API. Web URL value is used if not set (for example, https://jira-api.example.com). |
| username | string | no | The email or username to use with Jira. Use an email for Jira Cloud, and a username for Jira Data Center and Jira Server. Required when using Basic Authentication (jira_auth_type is 0). |
| password | string | yes | The Jira API token, password, or personal access token to use with Jira. When using Basic Authentication (jira_auth_type is 0), use an API token for Jira Cloud, and a password for Jira Data Center or Jira Server. For a Jira personal access token (jira_auth_type is 1), use the personal access token. |
| jira_auth_type | integer | no | The authentication method to use with Jira. Use 0 for Basic Authentication, and 1 for Jira personal access token. Defaults to 0. |
| jira_issue_prefix | string | no | Prefix to match Jira issue keys. |
| jira_issue_regex | string | no | Regular expression to match Jira issue keys. |
| jira_issue_transition_automatic | boolean | no | Enable automatic issue transitions. Takes precedence over jira_issue_transition_id if enabled. Defaults to false. |
| jira_issue_transition_id | string | no | The ID of one or more transitions for custom issue transitions.Ignored when jira_issue_transition_automatic is enabled. Defaults to a blank string,which disables custom transitions. |
| commit_events | boolean | no | Enable notifications for commit events. |
| merge_requests_events | boolean | no | Enable notifications for merge request events. |
| comment_on_event_enabled | boolean | no | Enable comments in Jira issues on each GitLab event (commit or merge request). |
| issues_enabled | boolean | no | Enable viewing Jira issues in GitLab. Introduced in GitLab 17.0. |
| project_keys | array of strings | no | Keys of Jira projects. When issues_enabled is true, this setting specifies which Jira projects to view issues from in GitLab. Introduced in GitLab 17.0. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
| vulnerabilities_enabled | boolean | no | Available only in GitLab EE. When set to true, creates Jira issues for GitLab vulnerabilities. |
| vulnerabilities_issuetype | number | no | Available only in GitLab EE. ID of the Jira issue type to use when creating issues from vulnerabilities. |
| project_key | string | no | Available only in GitLab EE. Key of the project to use when creating issues from vulnerabilities. This parameter is required if using the integration to create issues from vulnerabilities. |
| customize_jira_issue_enabled | boolean | no | Available only in GitLab EE. When set to true, opens a prefilled form on the Jira instance when creating a Jira issue from a vulnerability. |
Jira 비활성화#
프로젝트에서 Jira 이슈 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/jira
Jira 설정 조회#
프로젝트의 Jira 이슈 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/jira
Linear#
History
- Introduced in GitLab 18.3.
Linear 설정#
그룹에 Linear 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/linear
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| workspace_url | string | yes | URL of the issue. |
| use_inherited_settings | boolean | no | Indicates whether or not to inherit default settings. Defaults to false. |
Linear 비활성화#
그룹에서 Linear 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/linear
Linear 설정 조회#
그룹의 Linear 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/linear
Matrix notifications#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Matrix 알림 설정#
프로젝트에 Matrix 알림을 설정합니다.
PUT /projects/:id/integrations/matrix
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| hostname | string | no | Custom hostname of the Matrix server. The default value is https://matrix.org. |
| token | string | yes | The Matrix access token (for example, syt-zyx57W2v1u123ew11). |
| room | string | yes | Unique identifier for the target room (in the format !qPKKM111FFKKsfoCVy:matrix.org). |
| notify_only_broken_pipelines | boolean | no | Send notifications for broken pipelines. |
| notify_only_when_pipeline_status_changes | boolean | no | Send notifications only when the pipeline status for the ref changes. |
| branches_to_be_notified | string | no | Branches to send notifications for. Valid options are all, default, protected, and default_and_protected. The default value is default. |
| push_events | boolean | no | Enable notifications for push events. |
| issues_events | boolean | no | Enable notifications for issue events. |
| confidential_issues_events | boolean | no | Enable notifications for confidential issue events. |
| merge_requests_events | boolean | no | Enable notifications for merge request events. |
| tag_push_events | boolean | no | Enable notifications for tag push events. |
| note_events | boolean | no | Enable notifications for note events. |
| confidential_note_events | boolean | no | Enable notifications for confidential note events. |
| pipeline_events | boolean | no | Enable notifications for pipeline events. |
| wiki_page_events | boolean | no | Enable notifications for wiki page events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Matrix 알림 비활성화#
프로젝트에서 Matrix 알림을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/matrix
Matrix 알림 설정 조회#
프로젝트의 Matrix 알림 설정을 가져옵니다.
GET /projects/:id/integrations/matrix
Mattermost notifications#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Mattermost 알림 설정#
프로젝트에 Mattermost 알림을 설정합니다.
PUT /projects/:id/integrations/mattermost
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| webhook | string | yes | Mattermost notifications webhook (for example, http://mattermost.example.com/hooks/...). |
| username | string | no | Mattermost notifications username. |
| channel | string | no | Default channel to use if no other channel is configured. |
| notify_only_broken_pipelines | boolean | no | Send notifications for broken pipelines. |
| notify_only_when_pipeline_status_changes | boolean | no | Send notifications only when the pipeline status for the ref changes. |
| notify_only_default_branch | boolean | no | Deprecated: This parameter has been replaced with branches_to_be_notified. |
| branches_to_be_notified | string | no | Branches to send notifications for. Valid options are all, default, protected, and default_and_protected. The default value is default. |
| labels_to_be_notified | string | no | Labels to send notifications for. Leave blank to receive notifications for all events. |
| labels_to_be_notified_behavior | string | no | Labels to be notified for. Valid options are match_any and match_all. The default value is match_any. |
| push_events | boolean | no | Enable notifications for push events. |
| issues_events | boolean | no | Enable notifications for issue events. |
| confidential_issues_events | boolean | no | Enable notifications for confidential issue events. |
| merge_requests_events | boolean | no | Enable notifications for merge request events. |
| tag_push_events | boolean | no | Enable notifications for tag push events. |
| note_events | boolean | no | Enable notifications for note events. |
| confidential_note_events | boolean | no | Enable notifications for confidential note events. |
| pipeline_events | boolean | no | Enable notifications for pipeline events. |
| wiki_page_events | boolean | no | Enable notifications for wiki page events. |
| push_channel | string | no | The name of the channel to receive notifications for push events. |
| issue_channel | string | no | The name of the channel to receive notifications for issue events. |
| confidential_issue_channel | string | no | The name of the channel to receive notifications for confidential issue events. |
| merge_request_channel | string | no | The name of the channel to receive notifications for merge request events. |
| note_channel | string | no | The name of the channel to receive notifications for note events. |
| confidential_note_channel | string | no | The name of the channel to receive notifications for confidential note events. |
| tag_push_channel | string | no | The name of the channel to receive notifications for tag push events. |
| pipeline_channel | string | no | The name of the channel to receive notifications for pipeline events. |
| wiki_page_channel | string | no | The name of the channel to receive notifications for wiki page events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Mattermost 알림 비활성화#
프로젝트에서 Mattermost 알림을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/mattermost
Mattermost 알림 설정 조회#
프로젝트의 Mattermost 알림 설정을 가져옵니다.
GET /projects/:id/integrations/mattermost
Mattermost slash commands#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Mattermost 슬래시 명령어 설정#
프로젝트에 Mattermost 슬래시 명령어를 설정합니다.
PUT /projects/:id/integrations/mattermost-slash-commands
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| token | string | yes | The Mattermost token. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Mattermost 슬래시 명령어 비활성화#
프로젝트에서 Mattermost 슬래시 명령어를 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/mattermost-slash-commands
Mattermost 슬래시 명령어 설정 조회#
프로젝트의 Mattermost 슬래시 명령어 설정을 가져옵니다.
GET /projects/:id/integrations/mattermost-slash-commands
Microsoft Teams notifications#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Microsoft Teams 알림 설정#
프로젝트에 Microsoft Teams 알림을 설정합니다.
PUT /projects/:id/integrations/microsoft-teams
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| webhook | string | yes | The Microsoft Teams webhook (for example, https://outlook.office.com/webhook/...). |
| notify_only_broken_pipelines | boolean | no | Send notifications for broken pipelines. |
| notify_only_when_pipeline_status_changes | boolean | no | Send notifications only when the pipeline status for the ref changes. |
| notify_only_default_branch | boolean | no | Deprecated: This parameter has been replaced with branches_to_be_notified. |
| branches_to_be_notified | string | no | Branches to send notifications for. Valid options are all, default, protected, and default_and_protected. The default value is default. |
| push_events | boolean | no | Enable notifications for push events. |
| issues_events | boolean | no | Enable notifications for issue events. |
| confidential_issues_events | boolean | no | Enable notifications for confidential issue events. |
| merge_requests_events | boolean | no | Enable notifications for merge request events. |
| tag_push_events | boolean | no | Enable notifications for tag push events. |
| note_events | boolean | no | Enable notifications for note events. |
| confidential_note_events | boolean | no | Enable notifications for confidential note events. |
| pipeline_events | boolean | no | Enable notifications for pipeline events. |
| wiki_page_events | boolean | no | Enable notifications for wiki page events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Microsoft Teams 알림 비활성화#
프로젝트에서 Microsoft Teams 알림을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/microsoft-teams
Microsoft Teams 알림 설정 조회#
프로젝트의 Microsoft Teams 알림 설정을 가져옵니다.
GET /projects/:id/integrations/microsoft-teams
Mock CI#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
이 인테그레이션은 개발 환경에서만 사용할 수 있습니다.
Mock CI 서버 예시는 gitlab-org/gitlab-mock-ci-service를 참조하세요.
Mock CI 설정#
프로젝트에 Mock CI 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/mock-ci
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| mock_service_url | string | yes | URL of the Mock CI integration. |
| enable_ssl_verification | boolean | no | Enable SSL verification. Defaults to true (enabled). |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Mock CI 비활성화#
프로젝트에서 Mock CI 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/mock-ci
Mock CI 설정 조회#
프로젝트의 Mock CI 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/mock-ci
Packagist#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Packagist 설정#
프로젝트에 Packagist 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/packagist
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| username | string | yes | Username of a Packagist account. |
| token | string | yes | API token of the Packagist server. |
| server | boolean | no | URL of the Packagist server. The default value is https://packagist.org. |
| push_events | boolean | no | Enable notifications for push events. |
| merge_requests_events | boolean | no | Enable notifications for merge request events. |
| tag_push_events | boolean | no | Enable notifications for tag push events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Packagist 비활성화#
프로젝트에서 Packagist 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/packagist
Packagist 설정 조회#
프로젝트의 Packagist 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/packagist
Phorge#
History
-
Introduced in GitLab 16.11.
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Phorge 설정#
프로젝트에 Phorge 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/phorge
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| issues_url | string | yes | URL of the issue. |
| project_url | string | yes | URL of the project. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Phorge 비활성화#
프로젝트에서 Phorge 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/phorge
Phorge 설정 조회#
프로젝트의 Phorge 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/phorge
Pipeline status emails#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
파이프라인 상태 이메일 설정#
프로젝트에 파이프라인 상태 이메일을 설정합니다.
PUT /projects/:id/integrations/pipelines-email
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| recipients | string | yes | Comma-separated list of recipient email addresses. |
| notify_only_broken_pipelines | boolean | no | Send notifications for broken pipelines. |
| branches_to_be_notified | string | no | Branches to send notifications for. Valid options are all, default, protected, and default_and_protected. The default value is default. |
| notify_only_default_branch | boolean | no | Send notifications for the default branch. |
| pipeline_events | boolean | no | Enable notifications for pipeline events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
파이프라인 상태 이메일 비활성화#
프로젝트에서 파이프라인 상태 이메일을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/pipelines-email
파이프라인 상태 이메일 설정 조회#
프로젝트의 파이프라인 상태 이메일 설정을 가져옵니다.
GET /projects/:id/integrations/pipelines-email
Pivotal Tracker#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Pivotal Tracker 설정#
프로젝트에 Pivotal Tracker 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/pivotaltracker
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| token | string | yes | The Pivotal Tracker token. |
| restrict_to_branch | boolean | no | Comma-separated list of branches to automatically inspect. Leave blank to include all branches. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Pivotal Tracker 비활성화#
프로젝트에서 Pivotal Tracker 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/pivotaltracker
Pivotal Tracker 설정 조회#
프로젝트의 Pivotal Tracker 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/pivotaltracker
Pumble#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Pumble 설정#
프로젝트에 Pumble 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/pumble
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| webhook | string | yes | The Pumble webhook (for example, https://api.pumble.com/workspaces/x/...). |
| branches_to_be_notified | string | no | Branches to send notifications for. Valid options are all, default, protected, and default_and_protected. The default is default. |
| confidential_issues_events | boolean | no | Enable notifications for confidential issue events. |
| confidential_note_events | boolean | no | Enable notifications for confidential note events. |
| issues_events | boolean | no | Enable notifications for issue events. |
| merge_requests_events | boolean | no | Enable notifications for merge request events. |
| note_events | boolean | no | Enable notifications for note events. |
| notify_only_broken_pipelines | boolean | no | Send notifications for broken pipelines. |
| pipeline_events | boolean | no | Enable notifications for pipeline events. |
| push_events | boolean | no | Enable notifications for push events. |
| tag_push_events | boolean | no | Enable notifications for tag push events. |
| wiki_page_events | boolean | no | Enable notifications for wiki page events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Pumble 비활성화#
프로젝트에서 Pumble 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/pumble
Pumble 설정 조회#
프로젝트의 Pumble 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/pumble
Pushover#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Pushover 설정#
프로젝트에 Pushover 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/pushover
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| api_key | string | yes | The application key. |
| user_key | string | yes | The user key. |
| priority | string | yes | The priority. |
| device | string | no | Leave blank for all active devices. |
| sound | string | no | The sound of the notification. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Pushover 비활성화#
프로젝트에서 Pushover 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/pushover
Pushover 설정 조회#
프로젝트의 Pushover 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/pushover
Redmine#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Redmine 설정#
프로젝트에 Redmine 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/redmine
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| new_issue_url | string | yes | URL of the new issue. |
| project_url | string | yes | URL of the project. |
| issues_url | string | yes | URL of the issue. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Redmine 비활성화#
프로젝트에서 Redmine 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/redmine
Redmine 설정 조회#
프로젝트의 Redmine 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/redmine
Slack notifications#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Slack 알림 설정#
프로젝트에 Slack 알림을 설정합니다.
PUT /projects/:id/integrations/slack
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| webhook | string | yes | Slack notifications webhook (for example, https://hooks.slack.com/services/...). |
| username | string | no | Slack notifications username. |
| channel | string | no | Default channel to use if no other channel is configured. |
| notify_only_broken_pipelines | boolean | no | Send notifications for broken pipelines. |
| notify_only_when_pipeline_status_changes | boolean | no | Send notifications only when the pipeline status for the ref changes. |
| notify_only_default_branch | boolean | no | Deprecated: This parameter has been replaced with branches_to_be_notified. |
| branches_to_be_notified | string | no | Branches to send notifications for. Valid options are all, default, protected, and default_and_protected. The default value is default. |
| labels_to_be_notified | string | no | Labels to send notifications for. Leave blank to receive notifications for all events. |
| labels_to_be_notified_behavior | string | no | Labels to be notified for. Valid options are match_any and match_all. The default value is match_any. |
| alert_channel | string | no | The name of the channel to receive notifications for alert events. |
| alert_events | boolean | no | Enable notifications for alert events. |
| commit_events | boolean | no | Enable notifications for commit events. |
| confidential_issue_channel | string | no | The name of the channel to receive notifications for confidential issue events. |
| confidential_issues_events | boolean | no | Enable notifications for confidential issue events. |
| confidential_note_channel | string | no | The name of the channel to receive notifications for confidential note events. |
| confidential_note_events | boolean | no | Enable notifications for confidential note events. |
| deployment_channel | string | no | The name of the channel to receive notifications for deployment events. |
| deployment_events | boolean | no | Enable notifications for deployment events. |
| incident_channel | string | no | The name of the channel to receive notifications for incident events. |
| incidents_events | boolean | no | Enable notifications for incident events. |
| issue_channel | string | no | The name of the channel to receive notifications for issue events. |
| issues_events | boolean | no | Enable notifications for issue events. |
| job_events | boolean | no | Enable notifications for job events. |
| merge_request_channel | string | no | The name of the channel to receive notifications for merge request events. |
| merge_requests_events | boolean | no | Enable notifications for merge request events. |
| note_channel | string | no | The name of the channel to receive notifications for note events. |
| note_events | boolean | no | Enable notifications for note events. |
| pipeline_channel | string | no | The name of the channel to receive notifications for pipeline events. |
| pipeline_events | boolean | no | Enable notifications for pipeline events. |
| push_channel | string | no | The name of the channel to receive notifications for push events. |
| push_events | boolean | no | Enable notifications for push events. |
| tag_push_channel | string | no | The name of the channel to receive notifications for tag push events. |
| tag_push_events | boolean | no | Enable notifications for tag push events. |
| wiki_page_channel | string | no | The name of the channel to receive notifications for wiki page events. |
| wiki_page_events | boolean | no | Enable notifications for wiki page events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Slack 알림 비활성화#
프로젝트에서 Slack 알림을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/slack
Slack 알림 설정 조회#
프로젝트의 Slack 알림 설정을 가져옵니다.
GET /projects/:id/integrations/slack
Slack slash commands#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Slack 슬래시 명령어 설정#
프로젝트에 Slack 슬래시 명령어를 설정합니다.
PUT /projects/:id/integrations/slack-slash-commands
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| token | string | yes | The Slack token. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Slack 슬래시 명령어 비활성화#
프로젝트에서 Slack 슬래시 명령어를 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/slack-slash-commands
Slack 슬래시 명령어 설정 조회#
프로젝트의 Slack 슬래시 명령어 설정을 가져옵니다.
GET /projects/:id/integrations/slack-slash-commands
응답 예시:
{
"id": 4,
"title": "Slack slash commands",
"slug": "slack-slash-commands",
"created_at": "2017-06-27T05:51:39-07:00",
"updated_at": "2017-06-27T05:51:39-07:00",
"active": true,
"push_events": true,
"issues_events": true,
"confidential_issues_events": true,
"merge_requests_events": true,
"tag_push_events": true,
"note_events": true,
"job_events": true,
"pipeline_events": true,
"comment_on_event_enabled": false,
"inherited": false,
"properties": {
"token": "<your_access_token>"
}
}
Squash TM#
History
-
Introduced in GitLab 15.10.
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Squash TM 설정#
프로젝트의 Squash TM 인테그레이션 설정을 구성합니다.
PUT /projects/:id/integrations/squash-tm
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| url | string | yes | URL of the Squash TM webhook. |
| token | string | no | Secret token. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Squash TM 비활성화#
프로젝트에서 Squash TM 인테그레이션을 비활성화합니다. 인테그레이션 설정은 유지됩니다.
DELETE /projects/:id/integrations/squash-tm
Squash TM 설정 조회#
프로젝트의 Squash TM 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/squash-tm
Telegram#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Telegram 설정#
프로젝트에 Telegram 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/telegram
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| hostname | string | no | Custom hostname of the Telegram API (introduced in GitLab 17.1). The default value is https://api.telegram.org. |
| token | string | yes | The Telegram bot token (for example, 123456:ABC-DEF1234ghIkl-zyx57W2v1u123ew11). |
| room | string | yes | Unique identifier for the target chat or the username of the target channel (in the format @channelusername). |
| thread | integer | no | Unique identifier for the target message thread (topic in a forum supergroup). Introduced in GitLab 16.11. |
| notify_only_broken_pipelines | boolean | no | Send notifications for broken pipelines. |
| notify_only_when_pipeline_status_changes | boolean | no | Send notifications only when the pipeline status for the ref changes. |
| branches_to_be_notified | string | no | Branches to send notifications for (introduced in GitLab 16.5). Valid options are all, default, protected, and default_and_protected. The default value is default. |
| push_events | boolean | yes | Enable notifications for push events. |
| issues_events | boolean | yes | Enable notifications for issue events. |
| confidential_issues_events | boolean | yes | Enable notifications for confidential issue events. |
| merge_requests_events | boolean | yes | Enable notifications for merge request events. |
| tag_push_events | boolean | yes | Enable notifications for tag push events. |
| note_events | boolean | yes | Enable notifications for note events. |
| confidential_note_events | boolean | yes | Enable notifications for confidential note events. |
| pipeline_events | boolean | yes | Enable notifications for pipeline events. |
| wiki_page_events | boolean | yes | Enable notifications for wiki page events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Telegram 비활성화#
프로젝트에서 Telegram 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/telegram
Telegram 설정 조회#
프로젝트의 Telegram 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/telegram
Unify Circuit#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Unify Circuit 설정#
프로젝트에 Unify Circuit 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/unify-circuit
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| webhook | string | yes | The Unify Circuit webhook (for example, https://circuit.com/rest/v2/webhooks/incoming/...). |
| notify_only_broken_pipelines | boolean | no | Send notifications for broken pipelines. |
| notify_only_when_pipeline_status_changes | boolean | no | Send notifications only when the pipeline status for the ref changes. |
| branches_to_be_notified | string | no | Branches to send notifications for. Valid options are all, default, protected, and default_and_protected. The default value is default. |
| push_events | boolean | no | Enable notifications for push events. |
| issues_events | boolean | no | Enable notifications for issue events. |
| confidential_issues_events | boolean | no | Enable notifications for confidential issue events. |
| merge_requests_events | boolean | no | Enable notifications for merge request events. |
| tag_push_events | boolean | no | Enable notifications for tag push events. |
| note_events | boolean | no | Enable notifications for note events. |
| confidential_note_events | boolean | no | Enable notifications for confidential note events. |
| pipeline_events | boolean | no | Enable notifications for pipeline events. |
| wiki_page_events | boolean | no | Enable notifications for wiki page events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Unify Circuit 비활성화#
프로젝트에서 Unify Circuit 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/unify-circuit
Unify Circuit 설정 조회#
프로젝트의 Unify Circuit 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/unify-circuit
Webex Teams#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
Webex Teams 설정#
프로젝트에 Webex Teams를 설정합니다.
PUT /projects/:id/integrations/webex-teams
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| webhook | string | yes | The Webex Teams webhook (for example, https://api.ciscospark.com/v1/webhooks/incoming/...). |
| notify_only_broken_pipelines | boolean | no | Send notifications for broken pipelines. |
| branches_to_be_notified | string | no | Branches to send notifications for. Valid options are all, default, protected, and default_and_protected. The default value is default. |
| push_events | boolean | no | Enable notifications for push events. |
| issues_events | boolean | no | Enable notifications for issue events. |
| confidential_issues_events | boolean | no | Enable notifications for confidential issue events. |
| merge_requests_events | boolean | no | Enable notifications for merge request events. |
| tag_push_events | boolean | no | Enable notifications for tag push events. |
| note_events | boolean | no | Enable notifications for note events. |
| confidential_note_events | boolean | no | Enable notifications for confidential note events. |
| pipeline_events | boolean | no | Enable notifications for pipeline events. |
| wiki_page_events | boolean | no | Enable notifications for wiki page events. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
Webex Teams 비활성화#
프로젝트에서 Webex Teams를 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/webex-teams
Webex Teams 설정 조회#
프로젝트의 Webex Teams 설정을 가져옵니다.
GET /projects/:id/integrations/webex-teams
YouTrack#
History
-
use_inherited_settingsparameter introduced in GitLab 17.2 with a flag namedintegration_api_inheritance. Disabled by default. -
use_inherited_settingsparameter generally available in GitLab 17.3. Feature flagintegration_api_inheritanceremoved.
YouTrack 설정#
프로젝트에 YouTrack 인테그레이션을 설정합니다.
PUT /projects/:id/integrations/youtrack
파라미터:
| Parameter | Type | Required | Description |
|---|---|---|---|
| issues_url | string | yes | URL of the issue. |
| project_url | string | yes | URL of the project. |
| use_inherited_settings | boolean | no | Indicates whether to inherit the default settings. Defaults to false. |
YouTrack 비활성화#
프로젝트에서 YouTrack 인테그레이션을 비활성화합니다. 인테그레이션 설정이 초기화됩니다.
DELETE /projects/:id/integrations/youtrack
YouTrack 설정 조회#
프로젝트의 YouTrack 인테그레이션 설정을 가져옵니다.
GET /projects/:id/integrations/youtrack